Permalink
Browse files

Upgrade sinatra to 1.3 (which require rack 1.3)

- Should fix parsing of routes with a '+' in them
  • Loading branch information...
1 parent 73aac1f commit 433c3ddba35f1d7ef4076bc93108aa37ed745e9d David Powell committed Feb 3, 2012
Showing with 12 additions and 9 deletions.
  1. +2 −2 Gemfile
  2. +10 −7 Gemfile.lock
View
4 Gemfile
@@ -1,7 +1,7 @@
# Edit this Gemfile to bundle your application"s dependencies.
source "http://gemcutter.org"
-gem "sinatra"
+gem "sinatra", "1.3"
gem "sinatra-content-for"
gem "datamapper", "1.0.2"
gem "data_objects"
@@ -16,7 +16,7 @@ gem "yahoo-weather"
gem "i18n"
gem "activesupport"
gem "rake"
-gem "rack", "1.1.0"
+gem "rack", "1.3"
gem "fastercsv" # Replace with stdlib CSV when using 1.9.2
group :development do
View
17 Gemfile.lock
@@ -94,7 +94,9 @@ GEM
net-ssh-gateway (1.0.1)
net-ssh (>= 1.99.1)
nokogiri (1.4.4)
- rack (1.1.0)
+ rack (1.3.0)
+ rack-protection (1.2.0)
+ rack
rake (0.8.7)
rspec (2.5.0)
rspec-core (~> 2.5.0)
@@ -110,17 +112,18 @@ GEM
ffi (>= 1.0.7)
json_pure
rubyzip
- sinatra (1.2.0)
- rack (~> 1.1)
- tilt (>= 1.2.2, < 2.0)
+ sinatra (1.3.0)
+ rack (~> 1.3)
+ rack-protection (~> 1.1)
+ tilt (~> 1.3)
sinatra-content-for (0.2)
sinatra
stringex (1.1.0)
thin (1.2.8)
daemons (>= 1.0.9)
eventmachine (>= 0.12.6)
rack (>= 1.0.0)
- tilt (1.2.2)
+ tilt (1.3.3)
uuidtools (2.1.2)
yahoo-weather (1.2.0)
nokogiri (>= 1.4.1)
@@ -144,10 +147,10 @@ DEPENDENCIES
jasmine
json
librmpd
- rack (= 1.1.0)
+ rack (= 1.3)
rake
rspec
- sinatra
+ sinatra (= 1.3)
sinatra-content-for
thin
yahoo-weather

0 comments on commit 433c3dd

Please sign in to comment.